cdw -- History of visible changes.


Copyright (C) 2007 - 2016 Kamil Ignacak <acerion@wp.pl>
Copyright (C) 2005, Balazs Varkonyi  <vbali@linuxforge.hu>
Modified by Csaba Feher <linuxfan@nrg.hu>


Please send bug reports to acerion@wp.pl


Version 0.8.1 03-04-2016
NEWS:

	* new release: 0.8.1, changes between 0.8.0 and 0.8.1 are
          listed below:

	* user interface: implementing "Lynx-like motion" feature in
	  native file browser windows.

	  There has been a request to add possibility to navigate
	  native file system with Left and Right arrow (like it's done
	  e.g. in Midnight Commander).

	  Since Left and Right arrow can be also used to horizontally
	  scroll lists in list display, I have added an option in
	  config window to control behaviour of the two keys.

	  Horizontal scroll is now also possible with '<' and '>'
	  keys.

	* code in native file system module has been reviewed and
          improved.

	* man page now contains few lines of information on rsync
          options that may be useful when creating UDF images.

	* bugfix: fields in "Meta data" tab in ISO9660 Options window
	  (when creating ISO image with xorriso) were always
	  initialized with empty strings. So if user entered any data
	  in the fields in "Meta data" tab, saved the options (with
	  F9/F10 key), returned from Options window to Image Wizard,
	  and then opened the Options window again, the fields in
	  "Meta data" tab were empty again. This has been fixed, and
	  the data in the fields is preserved and the fields show
	  saved values.

	* Adding process window indication when cdw creates list of
	  files to be added to ISO9660 image.
	  
	  For long list of files (e.g. 200 or so) creating the list
	  may take few seconds. To indicate that cdw is busy (and not
	  frozen), I have added an indication of this in progress
	  window.
	  
	  The process window is shown when user creates stand-alone
	  ISO9660 image, and when user burns files to optical disc
	  (ISO9660 file system is created on the optical disc).

	* Some effort has been made to make compilation of cdw on
          Alpine Linux less painful.


---------------------------------------


Version 0.8.0 19-07-2014
NEWS:

	* new release: 0.8.0, changes between 0.8.0 and 0.7.1 are
          listed below:

	* adding support for creating UDF file system images with
          mkudffs. Files are copied to the file system using
          rsync. cdw supports only creating stand-alone .udf
          files. Such files can be burned later to optical disc.

	* adding "About" item to main menu.

	* using new format of options in config file (for most of
          options, but not for all of them). The file and the code
          processing the file are backwards-compatible.

	* behaviour of "follow symlinks" option has been
          modified. There is one option that controls whether symbolic
          links in native file system should be followed when
          traversing selected files, and the second option controls
          how the links should be treated when creating optical file
          system. The first option is pretty simple. The other is more
          complicated.
	  
	  When creating ISO9660 file system, there is a simple flag
	  passed (or not) to mkisofs or xorriso ("follow symlinks in
	  ISO9660 file system"). It is represented by a checkbox in
	  cdw UI.

	  When creating UDF file system, handling of symbolic links is
	  controlled by flag(s) passed to rsync as a free-form options
	  string. It is completely up to user to decide which options
	  related to symlinks to select and pass to rsync. There is a
	  special input field in cdw UI for this.

	* ISO9660 meta data is now added to ISO9660 file system when
          both creating stand-alone .iso image, and when creating file
          system on optical disc on-the-fly.

	* fixing handling of "speed" parameter passed to xorriso when
          burning disc from image and when erasing a disc.

	* some changes in ncurses code (especially widgets and
          form). The changes aren't visible to end user.


---------------------------------------


Version 0.7.1 1-04-2012
NEWS:

	* new release: 0.7.1, changes between 0.7.1 and 0.7.0 are listed below:

	* fixing Sourceforge defect #3487958 (cdw was unable to detect
	  installed wodim and genisoimage if they weren't symlinked as
	  cdrecord and mkisofs);
	* dropdowns, button dialogs and few more places, like log window,
	  recognize 'q' and 'Q' keys as cancel/escape keys; this change has
	  been suggested by rogerx;
	* when burning second or following session to a disc, cdw now tries
	  to check which tool has been used to create ISO file system already
	  existing on a disc, and select the same tool for creating appended
	  file system; user is warned if cdw can't recognize a tool used to
	  create ISO file system existing on the disc;
	  The change should decrease possibility of problems when burning
	  files to a disc; see this post for related information:
	  http://sourceforge.net/mailarchive/forum.php?thread_name=4EA08379.7090302%40wp.pl&forum_name=cdw-user
	* code handling signals has been improved: more signals are being
	  handled, and code has been modified to make sure that final debug
	  message is printed correctly, and that exit() is called properly;
	* there has been made small change that should help to resolve
	  problems with saving data in configuration window or in wizards with
	  F10 key, when user runs cdw in terminal emulators that use F10 for
	  their own purposes; see also http://sourceforge.net/tracker/index.php?func=detail&aid=3424993&group_id=124080&atid=698428
	* fixing problem with ejecting drive tray; after a bit of googling
	  it turned out that this may be caused by the drive being locked;
	* fixing usage of meta information fields - they are used
	  only when they are accessible during task creation, i.e.
	  preparer/publisher/copyright fields are only used during creation
	  of standalone ISO9660 file system (because there is this "meta" tab
	  in ISO9660 wizard), but not during creation of ISO9660 file system
	  on the fly, because the "meta" tab is currently missing in write
	  wizard;
	* cdw now can recognize "not a known option" error message
	  printed by xorriso to stderr, and inform user about the fact;
	* code implementing new ncurses widgets, used by cdw, has been
	  extracted into separate files in src/user_interface/widgets/*.[ch].
	  I hope that someone will find them useful.
	* updating COPYING file (nothing harmless, just using corrected
	  file with new snail mail address of Free Software Foundation and
	  updated full name of LGPL license);


---------------------------------------

Version 0.7.0 13-08-2011
NEWS:
	* new release: 0.7.0, changes between 0.7.0 and 0.6.0 are listed below:

	* adding support for xorriso (http://libburnia-project.org/wiki/Xorriso):
	  cdw can employ xorriso to burn files and ISO images to CD-R,
	  CD-RW, DVD+/-R disc, and to erase CD-RW discs; the support
	  is limited and imperfect, but it's there;
	* adding new compile-time and run-time dependency: libburn from
	  libburnia project (http://libburnia-project.org);
	* adding support for more digest (checksum) tools: sha1sum, sha224sum,
	  sha256sum, sha384sum, sha512sum; a digest tool can be selected in
	  Configuration -> Tools page; md5sum was already supported in 0.6.0;
	* fixing Sourceforge defect #3111089 ("verification of ISO images fails",
	  http://sourceforge.net/tracker/?func=detail&aid=3111089&group_id=47851&atid=451091);
	* fixing Sourceforge defect #3149329 raised by user rogerx ("Using
	  "dummy" option fails"),
	  http://sourceforge.net/tracker/?func=detail&aid=3149329&group_id=47851&atid=451091;
	* fixing small annoyance with tray: it is reloaded less often
	  during burning/verification (problem raised by user rogerx);
	* adding missing -lm library in src/Makefile.am (see Gentoo bug #344315,
	  https://bugs.gentoo.org/show_bug.cgi?id=344315);
	* moving configuration file and log file from their original default
	  locations (in $HOME dir) into their new location (in $HOME/.cdw/
	  dir); this is related to Sourceforge bug #3168259, "move
	  the configuration files into a separate directory",
	  http://sourceforge.net/tracker/?func=detail&aid=3168259&group_id=47851&atid=451091;
	* responding to feature request #3249439 on SourceForge:
	  "ncurses header files"
	  (http://sourceforge.net/tracker/?func=detail&aid=3249439&group_id=47851&atid=451094);
	  this should ease compilation of cdw on Arch Linux;
	* improving recognition of track formats (TAO/DAO/SAO) supported
	  by disc/drive when burning with cdrecord;
	* adding (partial) recognition of capacity of CD/DVD discs;
	  the capacity is displayed in main window if Configuration ->
	  Log and misc -> ISO volume size -> Get sizes from disc is selected;
	  this functionality doesn't work too well when using wodim;
	* improving response to Esc key; in previous versions the delay
	  between pressing Esc key and reaction to the key was considerable;
	  now it is 50ms by default, and can be changed by command-line
	  option;
	* adding command-line option "--escdelay=X", where X is time in
	  milliseconds;
	* key 'q'/'Q' is now treated by some parts of user interface as
	  'Esc' key; fingers don't have to move that far anymore :)
	* adding "verify data" button in main menu, the button invokes
	  wizard that configures new functionality of cdw: calculating
	  digest of arbitrary disc file, or comparing digests of selected
	  file and first track of optical disc;
	* simplifying main window - removing unnecessary double borders;
	* adding hiding/showing hidden files in file system browser
	  widget - user can toggle the hiding using '.' (dot) character;
	* adding a wizard dialog for creating stand-alone ISO9660 image files;
	* some options related to burning and to ISO9660 file system have
	  been moved to wizard dialog windows;
	* adding option fields for mkisofs and xorriso options, that
	  allow editing Publisher, System ID, Volume Set ID and (in case of
	  mkisofs) Preparer, Copyright and Abstract meta data; the data
	  can be read from ~/.mkisofsrc or ~/.xorrisorc files; the fields
	  are accessible through ISO9660 stand-alone file wizards only;
	  they are not available through wizard that prepares "burn
	  from files" process;
	* "Tools" page in Configuration window has been updated: dropdowns
	  for growisofs, dvd+rw-mediainfo and dvd+rw-format have been
	  removed: the tools aren't as "controversial" as cdrecord/wodim
	  and mkisofs/genisoimage are - dropdowns for the two tools have
	  been left intact; new dropdowns: "Tools for handling CDs"
	  "Tool for creating stand alone ISO9660 file" have been added;
	* cdw now displays progress information during calculating
	  digest of source ISO file;


Version 0.6.0 24-10-2010
NEWS:
	* new release: 0.6.0
	* added dependency on libiso9660 library; the library comes from
	  cdio project (http://www.gnu.org/software/libcdio/), and if
	  there is a libcdio in your packages repository, there should be
	  a package for libiso9660 as well. libiso9660 may be a part libcdio
	  package itself.
	* added verification of burning ISO9660 image to DVDs - it is done
	  in similar fashion as verification of burning ISO9660 image to CD
	* added reading DVDs with ISO9660 file system (i.e. for copying
	  content of their first session to file on hard disc);
	* cdw now can detect optical drives available on user's machine;
	  it's not perfect, but basics are there; user can still enter
	  and select his own, custom path to a drive; this function uses
	  functionality of libcdio library;
	* fixed sourceforge defect #3088902: the defect resulted in crash
	  whenever there were no programs for handling DVDs installed,
	  but user wanted to configure them in Configuration window anyway;
	  it seems that this defect was introduced in cdw 0.5.0, perhaps
	  even earlier;
	* user is now warned when he attempts to burn image larger than 4GB
	  with wodim - such operation may fail;
	* cdw gives more visual feedback to user about activities performed
	  by the program: a dialog window informs user about things like
	  waiting for drive, checking disc in drive, opening and closing
	  drive tray - all these activities that may take a long time are
	  now explicitly presented to user. User doesn't have to worry
	  that cdw doesn't respond without any apparent reason;
	* cdw can now correctly recognize if DVD+RW or DVD-RW Restricted
	  Overwrite is empty or not;
	* information about current burning speed is displayed in dialog
	  window during process of burning;
	* until now cdw always attempted, but was never able to correctly
	  read second and following sessions from a disc, now it doesn't
	  attempt to do such reading;
	* added "Long Joliet names" ("-joliet-long") checkbox in mkisofs
	  options panel in Configuration window;
	* options field for creating bootable CD has been dumbed down:
	  user has to enter all correct and appropriate options by hand;
	  reason: I had never tested this functionality myself, so I'm
	  simplifying it in order to avoid implementing it completely wrong;
	* cdw now displays full text of GPL license, but only if it is in
	  Debian's default location; if cdw can't find the file, it displays
	  only small dialog box with basic information about licensing;
	* added "wrapping" in main menu: when focus is on last position
	  of the menu and user presses down arrow, focus is moved to first
	  item; similarly for topmost item;
	* fixed some small memory leaks
	* other small fixes and improvements;

---------------------------------------

Version 0.5.0 17-07-2010
NEWS:
	* new release: 0.5.0
	* fixed some small memory leaks
	* fixed sourceforge defect #2996770: "Problems with F1-F4 keys in
	  Configuration window"
	* fixed sourceforge defect #2998671: "cdw hangs when getting media
	  information on laptops"
	* fixed sourceforge defect #2996758: "cdw can't find any tools"
	* fixed sourceforge defect #2999633: "cdw can't create config file
	  at startup, and exits"
	* small fix in process window (window that shows progress of current
	  task, or informs about type/state of current task): sometimes the
	  window displays message "press any key", but in previous versions
	  on some occasions it closed itself without waiting for user's key;
	  this has been (at least partially) fixed in 0.5.0
	* when verifying burned image, cdw checks if optical disc is mounted
	  or not; in previous versions disc mounted e.g. by auto mounter may
	  have caused aborting the verification, now cdw asks user to unmount
	  the disc and then correctly continues verification
	* added file picker, a dialog window allowing user to select single
	  file or directory easily, without a need to type full path in input
	  field
	* improved displaying files with characters in their names that
	  appear to be corrupted when viewed in some file managers; in
	  previous versions of cdw such file names might not be displayed
	  at all
	* cdw 0.5.0 now includes few files from gnulib package to avoid
	  reimplementing "canonicalize" function
	* removed separate dialog window for editing cdrecord parameters, it
	  was available via F3 hotkey; cdrecord parameters can be now edited
	  only in configuration window;
	* removed separate dialog window for editing volume size (target
	  disc size), it was available via F4 hotkey; this functionality has
	  been moved to Configuration window (tab "Log and other");
	* removed separate dialog window for editing volume label, it was
	  available via F2 hotkey; volume label can be now edited only in
	  configuration window;
	* added file picker widget: a dialog window that simplifies selecting
	  single file, e.g. ISO image file for burning. The widget is used in
	  few panels of configuration window, and is also displayed when user
	  wants to create new ISO image file or wants to burn ISO image file
	  to optical disc;
	* updated build scripts: created separate Makefile.cdw.am file with
	  common options; added explicit main build target and "check" build
	  target; "configure" now accepts "--enable-debug" flag, which controls
	  whether debug facilities (debug info for gdb, debug messages
	  printed to stderr) are included in the build or not, and whether
	  or not additional set of compiler warnings are enabled - this
	  removes necessity of editing Makefile.cdw.am file to enable or
	  disable debug build; "distcheck" target of build system now works;
	  "configure" script makes more checks than in version 0.4.0;
	* default burning mode for burning files to empty disc is now "make
	  single session" instead of "start multisession";

---------------------------------------

Version 0.4.0 31-03-2010
NEWS:
	* new release: 0.4.0
	* when burning files with growisofs, cdw checks which implementation
	  of mkisofs/genisoimage is selected in Configuration, and passes
	  this information to growisofs
	* there is more feedback to user when some files can't be selected
	  for burning or for creating image (e.g. when some directories
	  in selected files can't be visited);
	* dialogs where user can enter a string (e.g. path to ISO image files)
	  now don't accept insecure characters, like '|', '&' or ';'
	  (sourceforge defect #2965153)
	* paths to ISO images with space characters are now correctly handled;
	  (sourceforge defect #2965149)
	* user is warned when creating ISO file system fails because of some
	  file being larger than 4GB, while ISO level is less than 3;
	* cdw can now detect other errors reported by tools, and report these
	  errors to user;
	* there is now partial support for DVD+R DL discs, but user has to
	  explicitly enable it by passing "--enable-dvd-rp-dl" command line
	  argument to cdw; cdw can handle DVD+R DL discs only using dvd+rw-tools;
	  this feature is very incomplete and possibly buggy;


---------------------------------------

Version 0.3.95 17-01-2010
NEWS:
	* new release: 0.3.95
	* tools (cdrecord, mkisofs etc.) are now configured automatically,
	  unless user checks "Configure tools manually" checkbox in
	  Configuration panel; this allows user to select tool
	  implementations (as it was available since 0.3.93), but can also
	  select which tools "family" (dvd+rw-tools / cdrtools) should be
	  used for handling DVDs, which is related to next change:
	* added *basic* support for burning files and ISO images to DVDs
	  with cdrecord / wodim: DVD-R, DVD+R, DVD+RW are supported (both
	  burning files and ISO image); selection of tool family is made in
	  Configuration -> Tools -> Tools family for handling DVDs; this is
	  still bit buggy (but not fatally buggy ;))
	* fixed sourceforge defects:
	   - 2890402 ("cdw fails to build, problems with linux/cdrom.h"),
	   - 2890403 ("problems with burning second session on 32-bit machine"),
	   - 2890399 ("cdw freezes after writing to disc or creating image"),
	   - 2545568 ("File > 4GB")
	* opened sourceforge defects:
	   - 2909705 ("Problem with handling symlinks in selected files"
	* cdw now can recognize when external tools (growisofs and cdrecord)
	  report insufficient space on target disc to perform burning;
	  appropriate dialog messages are displayed to user;
	* a dialog message is displayed when user selects file larger than
	  4GB, since some versions of genisoimage can't handle file this
	  large without additional arguments;
	* I did some very basic testing in i386 machine, if you had any
	  problems with running cdw on i386 then the situation may have
	  improved;
	* reduced consumption of CPU time during burning files or image to
	  disc or creating image; this should be more visible on older
	  machines;
	* "Copy data CD" and "Copy audio CD" menu options are now merged
	  into single "Copy CD" option
	* other minor fixes and improvements;

some more vague news and announcements:
        * I will fix most urgent problems, test cdw and release new version
	  0.4.0 soon, perhaps in March 2010;
	* there are now some solid foundations for adding support for new
	  tools (e.g. xorriso) in cdw;
	* support for DVD+R DL is almost ready, I need to spend some time
	  (and money) on testing and improving it

version 0.3.95 was tested with Cdrecord-ProDVD-ProBD-Clone 2.01.01a37,
Wodim 1.1.10, mkisofs 2.01.01a37, genisoimage 1.1.10, growisofs 7.1 on
x86_64 GNU/Linux, Debian 5.0 with 2.6.32 kernel


---------------------------------------

Version 0.3.94 27-10-2009
NEWS:
	* new release: 0.3.94
	* There is only one change. Some time after releasing version 0.3.93 I have noticed that cdw can't handle some special case when using libcdio calls. Because of this issue on some systems user was unable to do anything involving optical disc. Small fix in source tree of cdw 0.3.93 fixes this problem. This is the one and only new change between previous and current version.


---------------------------------------

Version 0.3.93 12-08-2009
NEWS:
	* new release: 0.3.93
	* external tools (cdrecord, mkisofs, growisofs etc.) are no longer a compile time requirement
	* there is a basic support for managing external tools in cdw configuration module: user can select one of implementations of given tool if he has more than one available on his machine
	* configuration panel was redesigned, division of options among categories is now more reasonable
	* DAO option is moved from configuration panel to write wizard, this option (and TAO option) is available only when suitable (e.g. when disc state and type allows this)
	* added "Follow symbolic links" option checkbox to mkisofs options panel
	* added support for padding options in cdrecord options panel
	* cdw now can recognize few more error messages coming from cdrecord, mkisofs and growisofs, and present user with dialog window with some basic information about problem. There are still situations when cdw will silently ignore errors reported by external tools, but now behavior of cdw is at least a bit better than in previous version.
	* other minor improvements
	* there was a problem with correctness of list of CD writing speeds in write wizard, this is now fixed with new method of getting CD metainformation
	* other minor bugfixes


---------------------------------------

Version 0.3.92 1-01-2009
NEWS:
	* new release: 0.3.92
	* improved support of DVD-RW discs: cdw can recognize and handle
	  properly discs in Sequential and Restricted mode - this includes
	  reformatting DVD-RW discs
	* added verification of md5sum of iso image written to CD
	  (but not DVD)
	* other minor improvements
	* minor bugfixes

	* information for people building cdw from sources: I added
	  'check' target in Makefile, so you can now run
	  'make check' to run some unit tests on few basic functions
	  implemented and used by cdw


---------------------------------------

Version 0.3.91 8-05-2008
NEWS:
	* new release: 0.3.91
	* added support for dvd+rw-tools, which brings:
	* added writing files or ISO image to DVD-R, DVD+R, DVD-RW, DVD+RW
	discs; no double-layer media are supported
	* added blanking of DVD-RW and DVD+RW

	also:

	* simplified hardware configuration - now you need to enter no more
	than 2 device descriptors :)
	* wizard dialog windows

----------------------------------------------------------


Version 0.3.3 13-12-2007
NEWS:
	* new release: 0.3.3
	* gtk-related files are removed, gtk interface is no longer an option
	* restored functionality: ripping audio CDs, but only to raw audio
	  tracks. User have to use following command:
	  'sox  -c  2 -r 44100 -L -2 -s track_name.raw -t wav track_name.wav'
	  to recode the files to wav audio files.
	* restored functionality: copying data CDs to iso image on hdd. This
	  works only for single-session CDs only for now.
	* new dependency: cdw now requires libcdio, a library for accessing
	  CD device
	* dependency on wncurses (ncurses with wide chars support) is now
	  mentioned in README file
	* some changes in main application window layout, so now cdw uses all
	  lines and columns of console
	* updated man page, updated README file
	* new autotools files, configure.ac is now used instead of
	  configure.in; 'bootstrap' file is removed, if you want to regenerate
	  build files you should use autoreconf(1) now;
	* added some comments for translators of UI elements
	* removed dependency on external cdda2wav tool, currently cdw provides
	  a subset of cdda2wav's functionality and don't require the tool

	* fixed bug: moving through fields in options forms using TAB key
	  was impossible - this is now fixed
	* fixed bug: too wide fields in second page of options caused cdw to
	  crash	when switching options pages - this is now fixed
	* fixed bug: removed one source of memory leak in options module code
	* fixed bug: it was impossible to write second and following sessions
	  to multisession CD disc - it is now fixed
	* fixed bug: bug 1841923 from SourceForge bug tracking system is
	  now fixed (build error with lame-support: 'msg' undeclared)
	* fixed bug: space usage indicator (bar) in main application window
	  works again (now with colors)
	* fixed bug: method of blanking is now properly saved when changed
	  in method selection window (but only if user decides to perform
	  blanking; until now change of method was saved even if user
	  abandoned blanking after changing method).


----------------------------------------------------------

Version 0.3.2 August 26 2007
NEWS:
	* new release: 0.3.2
	* changes mainly in options module: some sanity
	checks and reorganization of options window
	* additionaly small fixes in other files
	* new pot file


----------------------------------------------------------

Version 0.3.0 April 29 2007

NEWS:
	* part of functionality of previous version (0.2.4)
	was removed - all that was left was writing to
	image and writing to CD

----------------------------------------------------------

Version 0.1.5 May 12 2003

NEWS:
	* Added new mysql based disk catalog

----------------------------------------------------------

Version 0.1.5 Nov 05 2002

NEWS:
	* Quality related encoder options added

----------------------------------------------------------

Version 0.1.5 Oct 24 2002

NEWS:
	* Audio grab function
	* Ogg encoder support
	* Mp3 encoder support

----------------------------------------------------------

Version 0.1.4 Jul 15 2002

NEWS:
	* 'F1' shows README
	* 'F10' shows GPL
	* 'i' shows information about CD (cdrecord -atip)
	* 'v' shows and edits volume ID and autoshow before writing
	* 'o' shows and edits hidden parameters to cdrecord
	   (such as '-overburn')
	* 'l' shows "Last log" window
	* Auto show log window after writing

----------------------------------------------------------

Version 0.1.3 Mar 01 2002

NEWS:
	* Data CD copy
	* CD image copy
	* Write CD directly
	* Dummy write

----------------------------------------------------------

Version 0.1.2 Feb 24 2002

NEWS:
	* Added language support. (All in one :-) )
